<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.wxgl.wechatbasicmgt.mapper.WxFwtzMapper">
    <select id="SelectChargeMaxCode" resultType="int">
        select nvl(max(id), 0) id
        from WX_FWTZ
    </select>
    <select id="selectWxFwNoticePage" resultType="com.tofly.feesapi.wxgl.wechatbasicmgt.entity.WxFwtz">
        select id,EDIT_DATE editDate,EDIT_CODE editCode,EDIT_NAME editName,
        TITLE title,STATE state,AREA area,REASON reason,
        TZSJ noticeTime,REMARK remark,shbz auditFlag,shjg auditResult,
        shfybm auditCode,shfyxm auditName ,shrq auditDate,shreason auditRemark,
        dycs printTimes
        from WX_FWTZ where 1=1
        <!--模糊查询 -->
        <if test="searchText != null and searchText != ''">
            and (AREA like '%${searchText}%' or EDIT_NAME like '%${searchText}%' or TITLE like
            '%${searchText}%' or REMARK like '%${searchText}%' )
        </if>

        <!--String state,String editDate_start,String editDate_end -->
        <if test="state != null and state != '' and state!='all'">
            and state=#{state}
        </if>
        <if test="editDateStart != null and editDateEnd != null and editDateStart != '' and editDateEnd !=''">
            and EDIT_DATE between to_date( #{editDateStart},'yyyy-mm-dd hh24:mi:ss') and
            to_date( #{editDateEnd},'yyyy-mm-dd hh24:mi:ss')
        </if>
    </select>
</mapper>
